# Add project specific ProGuard rules here.
# You can control the set of applied configuration files using the
# proguardFiles setting in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}

# Uncomment this to preserve the line number information for
# debugging stack traces.
-keepattributes SourceFile,LineNumberTable

# If you keep the line number information, uncomment this to
# hide the original source file name.
#-renamesourcefileattribute SourceFile

-keep class org.bouncycastle.** { *; }
-dontwarn org.bouncycastle.**
-keep class org.whispersystems.** { *; }
-keep class com.journeyapps.** { *; }
-keep class com.google.zxing.** { *; }
-keep class android.arch.persistence.room.** { *; }
-keep class org.jetbrains.kotlin.** { *; }
-keep class com.android.support.** { *; }
-keep class com.klinker.android.send_message.** { *; }
-keep class com.google.android.mms.** { *; }
-keep class android.net.** { *; }
-dontwarn android.net.**
-dontwarn org.codehaus.mojo.animal_sniffer.**
