package xyz.johnny.norntalk.messages

import android.app.Activity
import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import android.util.Log
import android.widget.Toast
import xyz.johnny.norntalk.R


/**
 * Classe notifiant l'utilisateur de l'envoi du message
 */
class NornSentReceiver : BroadcastReceiver() {

    override fun onReceive(context: Context, intent: Intent) {
        val sent = resultCode == Activity.RESULT_OK
        Log.d(this::class.java.simpleName, "result code: " + resultCode.toString())

        val toast = NornNotification.getToast(context)
        if (sent)
            toast.setText(R.string.message_sent)
        else
            toast.setText(R.string.error_send)

        toast.duration = Toast.LENGTH_SHORT
        toast.show()
    }

}