package xyz.johnny.norntalk.security

import android.os.AsyncTask

/**
 * Classe permettant d'effectuer des opérations en parallèle
 *
 * @param function Fonction contenant l'opération à effectuer en parallèle
 * @return Tâche correspondant à l'opération
 */
class LoadHelper(val function: () -> Any?) : AsyncTask<Void, Void, Unit>() {

    override fun doInBackground(vararg params: Void?) {
        this.function()
    }

}