package xyz.johnny.norntalk.messages

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import android.util.Log
import android.widget.Toast
import com.klinker.android.send_message.MmsSentReceiver
import xyz.johnny.norntalk.R
import java.io.File

/**
 * Classe permettant d'avertir de l'envoi d'un MMS
 */
class NornMMSSentReceiver : BroadcastReceiver() {

    override fun onReceive(context: Context, intent: Intent?) {
        Log.d(this::class.java.simpleName, "MMS sent")
        Toast.makeText(context, context.getString(R.string.message_sent), Toast.LENGTH_LONG).show()

        val filePath = intent?.getStringExtra(MmsSentReceiver.EXTRA_FILE_PATH)
        File(filePath).delete()
    }

}