package xyz.johnny.norntalk.ui_components

import android.os.Bundle
import android.support.v4.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup

/**
 * Classe de base pour les fragments de l'application
 */
abstract class BaseFragment : Fragment() {

    /**
     * Les classes héritant de [BaseFragment] écrasent cet attribut pour changer leur disposition
     */
    protected abstract val layout: Int

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        return inflater.inflate(this.layout, container, false)
    }

}