package xyz.johnny.norntalk.ui_components

import com.journeyapps.barcodescanner.CaptureActivity

/**
 * Activité pour scanner le QR code.
 * Les valeurs du manifest permettent de garder l'orientation actuelle pour scanner le QR code
 */
class NornCaptureActivity : CaptureActivity() {

    companion object {

        /**
         * permet de savoir quand l'utilisateur est en train de scanner un QR code
         */
        var scanning = false
            private set(value) { field = value}

    }

    override fun onResume() {
        super.onResume()

        scanning = true
    }

    override fun onStop() {
        super.onStop()

        scanning = true
    }

}